/*******************************************************************************/
/*                                                                             */
/*    Copyright (c) 2007 Analog Devices, Inc.  All Rights Reserved.            */
/*    This software is proprietary to Analog Devices, Inc. and its 			   */
/*	  licensors.                                  							   */
/*                                                                             */
/*    CHANGES:  07/02/2007  1.00  - initial public release  				   */
/*																			   */
/*******************************************************************************/

#define PPI0
#define PPI1
#define MEMDMA1_0
#define MEMDMA1_1
#define PACKENABLE

//optimizations
//Enable one set of traffic control register setting
//#define SET_TRAFFIC_CONTROL_0x7ff
#define SET_TRAFFIC_CONTROL_0x777

#define WD_SIZE 0x0008 //32 bit	
#define TRANSFER_LENGTH 4

#define SPORT_BUFFER_SIZE 32
#define BUFFER_SIZE 8192 //
#define MDMA_XCOUNT 512/TRANSFER_LENGTH //depends on buffer size
#define MDMA_YCOUNT 16 //depends on buffer size



#define CLKIN	  (30.0e6)		// clockin frequency in Hz
#define CORECLK   (120.0e6)		// core clock frequency in Hz
#define SYSCLK	  (60.0e6)		// system clock frequency in Hz

